Bug 320711 - mga driver no longer able to set display to higher (1280x1024) resolutions
mga driver no longer able to set display to higher (1280x1024) resolutions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-mga (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-05 15:31 EDT by Bayard R. Coolidge
Modified: 2009-01-09 02:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:18:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Initial Xorg.0.log file (48.30 KB, text/plain)
2007-10-05 15:31 EDT, Bayard R. Coolidge
no flags Details
Xorg.0.log (130.87 KB, text/plain)
2008-03-28 04:19 EDT, Fred New
no flags Details

  None (edit)
Description Bayard R. Coolidge 2007-10-05 15:31:25 EDT
Description of problem: Unable to set display to 1280x1024@60 (preferred) or
even 1152x(whatever).


Version-Release number of selected component (if applicable): xorg-x11-server
1.3.0.0-28.fc8, compiled for 1.3.0, module version = 1.4.6


How reproducible: Easily and consistently


Steps to Reproduce:
1. Boot F8 Test2 or Test3
2. Wait until system stops chugging away and "Out Of Range" appears on screen
3. Hit Ctrl-Alt-+ or Ctrl-Alt-minus until you see the login screen
  
Actual results: I can get 1024x768@48, but nothing "better"


Expected results: 1280x1024@60 like I did under SuSE 10.2


Additional info: If I let Fedora 8 Test 2 or 3 choose the parameters at
installation time and/or select from the drop-down menus, it will give me
HorizSync    31.5 - 67.0 and VertRefresh  50.0 - 75.0 in /etc/X11/xorg.conf
If I comment these values out, forcing the driver to figure things out for
itself by reading the hardware, it still doesn't do the trick.
The hardware is a Matrox G550 AGP card using DVI to an "hp pavilion f70"
17" LCD display (HP model number D5064, no "A"). This used to work under
SuSE 10.2, which uses XFree/X.org 6.8.2 module rev 1.1.1. This combo also
failed under Debian Etch. Comments in various other fora indicates that this
problem is pervasive in the newer X.org mga drivers. "Tweaking" the HorizSync
and VertRefresh settings to match those generated by SuSE's "dex" and
Debian's "dexconf" didn't resolve the problem, either. The HP f70 owner's
manual indicates that the display should handle H 30-80 V 56-75, and it
can go 1280x1024@75 but recommends 1280x1024@60 maximum. (System is an
Asus A7M266-D mobo, 2GB RAM, two AMD Athlon(TM) MP 1800+ CPUs)
Comment 1 Bayard R. Coolidge 2007-10-05 15:31:25 EDT
Created attachment 217911 [details]
Initial Xorg.0.log file
Comment 2 Fred New 2008-03-28 04:19:41 EDT
Created attachment 299440 [details]
Xorg.0.log
Comment 3 Fred New 2008-03-28 04:20:45 EDT
With xorg-x11-drv-mga-1.4.8-1.fc9.i386, unable to get more than 800x600 at 60Hz.
Comment 4 Fred New 2008-03-28 06:26:50 EDT
Hmm. My problem looks different from Bayard's. Maybe a kernel mga.ko driver
problem? Please advise if I should file a new bug.
Comment 5 Fred New 2008-04-02 03:52:44 EDT
Just to be clear, it looks like xorg-x11-drv-mga is completely broken in
rawhide, judging by the thousands of lines of "Failed to find device matching
1@128:0:0" in Xorg.0.log.  I've reported it here, because it gives similar
symptoms to the summary line for this bug, though the resolution is much less.
Comment 6 Bug Zapper 2008-11-26 02:54:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:18:10 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.